﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>
<%@ Register Assembly="RepeaterInMvc" Namespace="RepeaterInMvc.Codes" TagPrefix="mvc" %>

<asp:Content ID="indexTitle" ContentPlaceHolderID="TitleContent" runat="server">
    Home Page
</asp:Content>

<asp:Content ID="indexContent" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Repeater示例</h2>
    <p>
        <mvc:MvcRepeater ID="MvcRepeater1" Key="TestList" runat="server">
            <ItemTemplate>
                <div style="height:30px; line-height:30px;"><%# Eval("Id") %>, <%# Eval("Name") %>, <%# Eval("Email") %></div>
            </ItemTemplate>
            <AlternatingItemTemplate>
                <div style="height:30px; line-height:30px; background:#eeeeee;"><%# Eval("Id") %>, <%# Eval("Name") %>, <%# Eval("Email") %></div>
            </AlternatingItemTemplate>
        </mvc:MvcRepeater>
    </p>
    
        <h2>Repeater示例</h2>
    <p>
        <mvc:MvcRepeater ID="MvcRepeater2" Key="TestList" runat="server">
            <ItemTemplate>
                <div style="height:30px; line-height:30px;"><%# Eval("Id") %>, <%# Eval("Name") %>, <%# Eval("Email") %></div>
            </ItemTemplate>
            <AlternatingItemTemplate>
                <div style="height:30px; line-height:30px; background:#eeeeee;"><%# Eval("Id") %>, <%# Eval("Name") %>, <%# Eval("Email") %></div>
            </AlternatingItemTemplate>
        </mvc:MvcRepeater>
    </p>
    
        <h2>Repeater示例</h2>
    <p>
        <mvc:MvcRepeater ID="MvcRepeater3" Key="TestList" runat="server">
            <ItemTemplate>
                <div style="height:30px; line-height:30px;"><%# Eval("Id") %>, <%# Eval("Name") %>, <%# Eval("Email") %></div>
            </ItemTemplate>
            <AlternatingItemTemplate>
                <div style="height:30px; line-height:30px; background:#eeeeee;"><%# Eval("Id") %>, <%# Eval("Name") %>, <%# Eval("Email") %></div>
            </AlternatingItemTemplate>
        </mvc:MvcRepeater>
    </p>
    
    
</asp:Content>
